Bug 1477669 - (CVE-2017-7551) CVE-2017-7551 389-ds-base: Password brute-force possible for locked account due to different return codes
CVE-2017-7551 389-ds-base: Password brute-force possible for locked account d...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170731,repor...
: Security
Depends On: 1476958 1477674 1478045 1482425 1482426
Blocks: 1477671
  Show dependency treegraph
 
Reported: 2017-08-02 11:27 EDT by Adam Mariš
Modified: 2018-04-20 04:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way 389-ds-base handled authentication attempts against locked accounts. A remote attacker could potentially use this flaw to continue password brute-forcing attacks against LDAP accounts, thereby bypassing the protection offered by the directory server's password lockout policy.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-02 11:27:02 EDT
The directory server password lockout policy prevents binds from operating once a threshold of failed passwords has been met. If attacker during this lockout binds with the correct password, a different error code is returned. This means that attacker has no ratelimit or penalty during the account lock, and can continue to attempt passwords via bruteforce.

Upstream bug:

https://pagure.io/389-ds-base/issue/49336

Upstream patch:

https://pagure.io/389-ds-base/c/33db32a3e14b849d
Comment 1 Adam Mariš 2017-08-02 11:30:57 EDT
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1477674]
Comment 5 errata-xmlrpc 2017-09-05 07:23:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2569 https://access.redhat.com/errata/RHSA-2017:2569

Note You need to log in before you can comment on or make changes to this bug.